function openmodal(info) {
    info2 = info.split(";");
    $("#myModal").modal();
    $("#log_info").append(info2);
}

function refresh() {
    $.ajax({
        dataType: "json",
        url: '../reports/ws/process_progress',
        success: function (data) {

            $.each(data, function (key, val) {
                //console.log(key+ " purchase_id:"+val.purchase_id+", progress: "+val.progress);
                if (val.progress != 100) {
                    $('#progress_bar' + val.purchase_id).attr("aria-valuenow", val.progress);
                    $('#progress_bar' + val.purchase_id).attr('style', 'width:' + val.progress + '%');
                    //document.getElementById('progess_value' + val.purchase_id).innerHTML = val.progress + ' %';
                    $('#progress_bar' + val.purchase_id).attr("class", "progress-bar progress-bar-warning progress-bar-striped active");
                    $('#view_report' + val.purchase_id).attr('disabled', 'false');
                    $('#action_buttons' + val.purchase_id).attr("class", "hidden");
                    $('#main_progess' + val.purchase_id).removeClass("hidden");
                    $('#main_progess' + val.purchase_id).attr("class", "progress");
                }
                else {
                    //$('#progress_bar' + val.purchase_id).attr("class", "progress-bar progress-bar-success progress-bar-striped");
                    //$('#progress_bar' + val.purchase_id).attr("aria-valuenow", val.progress);
                    //$('#progress_bar' + val.purchase_id).attr('style', 'width:' + val.progress + '%');
                    //document.getElementById('progess_value' + val.purchase_id).innerHTML = val.progress + ' %';
                    $('#view_report' + val.purchase_id).removeAttr("disabled");
                    $('#view_report' + val.purchase_id).attr("href", "../reports/T15QZD_sclData/" + val.purchase_id);
                    $('#main_progess' + val.purchase_id).attr("class", "hidden");
                    $('#action_buttons' + val.purchase_id).removeClass("hidden");
                }
            });
        }
    });
};

$(function () {
    var int;
    refresh();
    int = setInterval("refresh()", 1000);
});


$(document).ready(function () {
    $('#example').DataTable
    ({
        language:
            {
                "sProcessing": "Procesando...",
                "sLengthMenu": "Mostrar _MENU_ registros",
                "sZeroRecords": "No se encontraron resultados",
                "sEmptyTable": "Ningún dato disponible en esta tabla",
                "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
                "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
                "sInfoPostFix": "",
                "sSearch": "Buscar:",
                "sUrl": "",
                "sInfoThousands": ",",
                "sLoadingRecords": "Cargando...",
                "oPaginate":
                    {
                        "sFirst": "Primero",
                        "sLast": "Último",
                        "sNext": "Siguiente",
                        "sPrevious": "Anterior"
                    },
                "oAria":
                    {
                        "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                        "sSortDescending": ": Activar para ordenar la columna de manera descendente"
                    }
            },
        responsive:
            {
                details:
                    {
                        type: 'column',
                        target: 'tr'
                    }
            },
        columnDefs:
            [{
                className: 'control',
                orderable: false,
                targets: 0
            }],
        order: [1, 'asc']
    });
});


$(function () {
    $('#reportPage').show();
});
